---
Fuzzer filename: '/src/readstat/src/fuzz/fuzz_compression_sav.c'
All functions:
  Function list name: All functions
  Elements:
    - functionName:    LLVMFuzzerTestOneInput
      functionSourceFile: '/src/readstat/src/fuzz/fuzz_compression_sav.c'
      linkageType:     externalLinkage
      functionLinenumber: 7
      functionLinenumberEnd: 15
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         3
      ICount:          43
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - sav_decompress_row
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/fuzz/fuzz_compression_sav.c:14,5'
          Dst:             sav_decompress_row
    - functionName:    sav_decompress_row
      functionSourceFile: '/src/readstat/src/spss/readstat_sav_compress.c'
      linkageType:     InternalLinkage
      functionLinenumber: 77
      functionLinenumberEnd: 139
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         30
      ICount:          268
      EdgeCount:       36
      CyclomaticComplexity: 8
      functionsReached:
        - byteswap8
        - byteswap_double
      functionUses:    1
      BranchProfiles:
        - Branch String:   'src/spss/readstat_sav_compress.c:95,13'
          Branch Sides:    []
      Callsites:
        - Src:             'src/spss/readstat_sav_compress.c:79,45'
          Dst:             byteswap8
        - Src:             'src/spss/readstat_sav_compress.c:124,47'
          Dst:             byteswap_double
    - functionName:    sav_compress_row
      functionSourceFile: '/src/readstat/src/spss/readstat_sav_compress.c'
      linkageType:     InternalLinkage
      functionLinenumber: 15
      functionLinenumberEnd: 74
      functionDepth:   0
      returnType:      size_t
      argCount:        4
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         36
      ICount:          274
      EdgeCount:       47
      CyclomaticComplexity: 13
      functionsReached:
        - memcmp
        - readstat_get_variable
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/spss/readstat_sav_compress.c:27,41'
          Dst:             readstat_get_variable
        - Src:             'src/spss/readstat_sav_compress.c:31,21'
          Dst:             memcmp
    - functionName:    memcmp
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    sav_compressed_row_bound
      functionSourceFile: '/src/readstat/src/spss/readstat_sav_compress.c'
      linkageType:     InternalLinkage
      functionLinenumber: 10
      functionLinenumberEnd: 11
      functionDepth:   0
      returnType:      size_t
      argCount:        1
      argTypes:
        - size_t
      constantsTouched: []
      argNames:
        - ''
      BBCount:         1
      ICount:          13
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    byteswap_double
      functionSourceFile: '/src/readstat/src/readstat_bits.c'
      linkageType:     InternalLinkage
      functionLinenumber: 63
      functionLinenumberEnd: 68
      functionDepth:   0
      returnType:      double
      argCount:        1
      argTypes:
        - double
      constantsTouched: []
      argNames:
        - ''
      BBCount:         3
      ICount:          21
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - byteswap8
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_bits.c:66,14'
          Dst:             byteswap8
    - functionName:    byteswap8
      functionSourceFile: '/src/readstat/src/readstat_bits.c'
      linkageType:     InternalLinkage
      functionLinenumber: 49
      functionLinenumberEnd: 52
      functionDepth:   0
      returnType:      size_t
      argCount:        1
      argTypes:
        - size_t
      constantsTouched: []
      argNames:
        - ''
      BBCount:         1
      ICount:          29
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    byteswap_float
      functionSourceFile: '/src/readstat/src/readstat_bits.c'
      linkageType:     InternalLinkage
      functionLinenumber: 55
      functionLinenumberEnd: 60
      functionDepth:   0
      returnType:      float
      argCount:        1
      argTypes:
        - float
      constantsTouched: []
      argNames:
        - ''
      BBCount:         3
      ICount:          21
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - byteswap4
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_bits.c:58,14'
          Dst:             byteswap4
    - functionName:    byteswap4
      functionSourceFile: '/src/readstat/src/readstat_bits.c'
      linkageType:     InternalLinkage
      functionLinenumber: 44
      functionLinenumberEnd: 46
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - int
      constantsTouched: []
      argNames:
        - ''
      BBCount:         1
      ICount:          21
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    byteswap2
      functionSourceFile: '/src/readstat/src/readstat_bits.c'
      linkageType:     InternalLinkage
      functionLinenumber: 40
      functionLinenumberEnd: 41
      functionDepth:   0
      returnType:      short
      argCount:        1
      argTypes:
        - short
      constantsTouched: []
      argNames:
        - ''
      BBCount:         1
      ICount:          16
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    twos_to_ones_complement4
      functionSourceFile: '/src/readstat/src/readstat_bits.c'
      linkageType:     InternalLinkage
      functionLinenumber: 36
      functionLinenumberEnd: 37
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - int
      constantsTouched: []
      argNames:
        - ''
      BBCount:         4
      ICount:          22
      EdgeCount:       4
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    twos_to_ones_complement2
      functionSourceFile: '/src/readstat/src/readstat_bits.c'
      linkageType:     InternalLinkage
      functionLinenumber: 32
      functionLinenumberEnd: 33
      functionDepth:   0
      returnType:      short
      argCount:        1
      argTypes:
        - short
      constantsTouched: []
      argNames:
        - ''
      BBCount:         4
      ICount:          26
      EdgeCount:       4
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    twos_to_ones_complement1
      functionSourceFile: '/src/readstat/src/readstat_bits.c'
      linkageType:     InternalLinkage
      functionLinenumber: 28
      functionLinenumberEnd: 29
      functionDepth:   0
      returnType:      char
      argCount:        1
      argTypes:
        - char
      constantsTouched: []
      argNames:
        - ''
      BBCount:         4
      ICount:          26
      EdgeCount:       4
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    ones_to_twos_complement4
      functionSourceFile: '/src/readstat/src/readstat_bits.c'
      linkageType:     InternalLinkage
      functionLinenumber: 24
      functionLinenumberEnd: 25
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - int
      constantsTouched: []
      argNames:
        - ''
      BBCount:         4
      ICount:          22
      EdgeCount:       4
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    ones_to_twos_complement2
      functionSourceFile: '/src/readstat/src/readstat_bits.c'
      linkageType:     InternalLinkage
      functionLinenumber: 20
      functionLinenumberEnd: 21
      functionDepth:   0
      returnType:      short
      argCount:        1
      argTypes:
        - short
      constantsTouched: []
      argNames:
        - ''
      BBCount:         4
      ICount:          26
      EdgeCount:       4
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    ones_to_twos_complement1
      functionSourceFile: '/src/readstat/src/readstat_bits.c'
      linkageType:     InternalLinkage
      functionLinenumber: 16
      functionLinenumberEnd: 17
      functionDepth:   0
      returnType:      char
      argCount:        1
      argTypes:
        - char
      constantsTouched: []
      argNames:
        - ''
      BBCount:         4
      ICount:          26
      EdgeCount:       4
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    machine_is_little_endian
      functionSourceFile: '/src/readstat/src/readstat_bits.c'
      linkageType:     InternalLinkage
      functionLinenumber: 11
      functionLinenumberEnd: 13
      functionDepth:   0
      returnType:      int
      argCount:        0
      argTypes:        []
      constantsTouched: []
      argNames:        []
      BBCount:         1
      ICount:          9
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_copy_label
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 78
      functionLinenumberEnd: 84
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         8
      ICount:          55
      EdgeCount:       10
      CyclomaticComplexity: 4
      functionsReached:
        - strlen
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_writer.c:79,18'
          Dst:             strlen
        - Src:             'src/readstat_writer.c:80,34'
          Dst:             strlen
    - functionName:    strlen
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      size_t
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    10
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_compare_string_refs
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 18
      functionLinenumberEnd: 26
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         4
      ICount:          53
      EdgeCount:       4
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_end_writing
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 650
      functionLinenumberEnd: 677
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         22
      ICount:          143
      EdgeCount:       29
      CyclomaticComplexity: 9
      functionsReached:
        - qsort
        - readstat_begin_writing_data
        - readstat_compare_string_refs
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_writer.c:658,35'
          Dst:             readstat_begin_writing_data
        - Src:             'src/readstat_writer.c:666,13'
          Dst:             readstat_compare_string_refs
        - Src:             'src/readstat_writer.c:667,13'
          Dst:             qsort
        - Src:             'src/readstat_writer.c:667,13'
          Dst:             readstat_compare_string_refs
    - functionName:    readstat_begin_writing_data
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 118
      functionLinenumberEnd: 148
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         22
      ICount:          160
      EdgeCount:       28
      CyclomaticComplexity: 8
      functionsReached:
        - readstat_get_variable
        - readstat_validate_metadata
        - readstat_validate_variable
      functionUses:    2
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_writer.c:124,14'
          Dst:             readstat_validate_metadata
        - Src:             'src/readstat_writer.c:129,41'
          Dst:             readstat_get_variable
        - Src:             'src/readstat_writer.c:136,57'
          Dst:             readstat_get_variable
        - Src:             'src/readstat_writer.c:136,22'
          Dst:             readstat_validate_variable
    - functionName:    qsort
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        4
      argTypes:
        - 'N/A'
        - size_t
        - size_t
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_validate_metadata
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 108
      functionLinenumberEnd: 116
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         8
      ICount:          50
      EdgeCount:       10
      CyclomaticComplexity: 4
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_get_variable
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 463
      functionLinenumberEnd: 468
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         4
      ICount:          35
      EdgeCount:       4
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    3
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_validate_variable
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 98
      functionLinenumberEnd: 106
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         8
      ICount:          52
      EdgeCount:       10
      CyclomaticComplexity: 4
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_end_row
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 640
      functionLinenumberEnd: 648
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         9
      ICount:          62
      EdgeCount:       11
      CyclomaticComplexity: 4
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_insert_tagged_missing_value
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 628
      functionLinenumberEnd: 638
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - char
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         8
      ICount:          77
      EdgeCount:       10
      CyclomaticComplexity: 4
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_insert_missing_value
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 614
      functionLinenumberEnd: 626
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         10
      ICount:          88
      EdgeCount:       13
      CyclomaticComplexity: 5
      functionsReached:
        - readstat_insert_string_ref
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_writer.c:622,16'
          Dst:             readstat_insert_string_ref
    - functionName:    readstat_insert_string_ref
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 598
      functionLinenumberEnd: 612
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         17
      ICount:          117
      EdgeCount:       23
      CyclomaticComplexity: 8
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_insert_string_value
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 589
      functionLinenumberEnd: 596
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         8
      ICount:          62
      EdgeCount:       10
      CyclomaticComplexity: 4
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_insert_double_value
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 580
      functionLinenumberEnd: 587
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - double
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         8
      ICount:          62
      EdgeCount:       10
      CyclomaticComplexity: 4
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_insert_float_value
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 571
      functionLinenumberEnd: 578
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - float
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         8
      ICount:          62
      EdgeCount:       10
      CyclomaticComplexity: 4
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_insert_int32_value
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 562
      functionLinenumberEnd: 569
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         8
      ICount:          62
      EdgeCount:       10
      CyclomaticComplexity: 4
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_insert_int16_value
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 553
      functionLinenumberEnd: 560
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - short
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         8
      ICount:          62
      EdgeCount:       10
      CyclomaticComplexity: 4
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_insert_int8_value
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 544
      functionLinenumberEnd: 551
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - char
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         8
      ICount:          62
      EdgeCount:       10
      CyclomaticComplexity: 4
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_begin_row
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 531
      functionLinenumberEnd: 541
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         9
      ICount:          55
      EdgeCount:       11
      CyclomaticComplexity: 4
      functionsReached:
        - readstat_begin_writing_data
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_writer.c:537,18'
          Dst:             readstat_begin_writing_data
    - functionName:    readstat_begin_writing_file
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 522
      functionLinenumberEnd: 528
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         3
      ICount:          31
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - readstat_validate_metadata
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_writer.c:528,12'
          Dst:             readstat_validate_metadata
    - functionName:    readstat_writer_set_error_handler
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 517
      functionLinenumberEnd: 519
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         1
      ICount:          12
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_writer_set_compression
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 511
      functionLinenumberEnd: 513
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         1
      ICount:          12
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_writer_set_file_format_is_64bit
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 505
      functionLinenumberEnd: 507
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         1
      ICount:          12
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_writer_set_file_format_version
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 500
      functionLinenumberEnd: 502
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - char
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         1
      ICount:          13
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_writer_set_fweight_variable
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 492
      functionLinenumberEnd: 498
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         6
      ICount:          36
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached:
        - readstat_variable_get_type_class
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_writer.c:493,9'
          Dst:             readstat_variable_get_type_class
    - functionName:    readstat_writer_set_table_name
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 487
      functionLinenumberEnd: 489
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         3
      ICount:          20
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - snprintf
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_writer.c:488,5'
          Dst:             snprintf
    - functionName:    snprintf
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - size_t
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    6
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_writer_set_file_timestamp
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 482
      functionLinenumberEnd: 484
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         1
      ICount:          12
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_writer_set_file_label
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 477
      functionLinenumberEnd: 479
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         3
      ICount:          20
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - snprintf
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_writer.c:478,5'
          Dst:             snprintf
    - functionName:    readstat_get_string_ref
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 470
      functionLinenumberEnd: 475
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         4
      ICount:          35
      EdgeCount:       4
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_variable_set_label_set
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 451
      functionLinenumberEnd: 461
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         9
      ICount:          71
      EdgeCount:       11
      CyclomaticComplexity: 4
      functionsReached:
        - realloc
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_writer.c:456,36'
          Dst:             realloc
    - functionName:    realloc
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    6
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_variable_set_display_width
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 447
      functionLinenumberEnd: 449
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         1
      ICount:          12
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_variable_set_alignment
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 443
      functionLinenumberEnd: 445
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         1
      ICount:          12
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_variable_set_measure
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 439
      functionLinenumberEnd: 441
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         1
      ICount:          12
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_variable_set_format
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 431
      functionLinenumberEnd: 437
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         6
      ICount:          35
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached:
        - snprintf
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_writer.c:433,9'
          Dst:             snprintf
    - functionName:    readstat_variable_set_label
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 423
      functionLinenumberEnd: 429
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         6
      ICount:          35
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached:
        - snprintf
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_writer.c:425,9'
          Dst:             snprintf
    - functionName:    readstat_add_note
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 412
      functionLinenumberEnd: 421
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         6
      ICount:          68
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached:
        - realloc
        - strcpy
        - strlen
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_writer.c:415,25'
          Dst:             realloc
        - Src:             'src/readstat_writer.c:418,30'
          Dst:             strlen
        - Src:             'src/readstat_writer.c:419,5'
          Dst:             strcpy
    - functionName:    strcpy
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_append_string_ref
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 397
      functionLinenumberEnd: 404
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         6
      ICount:          59
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached:
        - realloc
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_writer.c:400,31'
          Dst:             realloc
    - functionName:    readstat_add_string_ref
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 406
      functionLinenumberEnd: 409
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         3
      ICount:          23
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - readstat_append_string_ref
        - readstat_string_ref_init
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_writer.c:407,34'
          Dst:             readstat_string_ref_init
        - Src:             'src/readstat_writer.c:408,5'
          Dst:             readstat_append_string_ref
    - functionName:    readstat_string_ref_init
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 28
      functionLinenumberEnd: 35
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         3
      ICount:          40
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - calloc
        - strlen
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_writer.c:29,18'
          Dst:             strlen
        - Src:             'src/readstat_writer.c:30,34'
          Dst:             calloc
    - functionName:    calloc
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - size_t
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    10
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_add_variable
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 368
      functionLinenumberEnd: 394
      functionDepth:   0
      returnType:      'N/A'
      argCount:        4
      argTypes:
        - 'N/A'
        - 'N/A'
        - int
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         12
      ICount:          121
      EdgeCount:       15
      CyclomaticComplexity: 5
      functionsReached:
        - calloc
        - readstat_variable_get_type_class
        - realloc
        - snprintf
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_writer.c:371,29'
          Dst:             realloc
        - Src:             'src/readstat_writer.c:374,41'
          Dst:             calloc
        - Src:             'src/readstat_writer.c:383,9'
          Dst:             readstat_variable_get_type_class
        - Src:             'src/readstat_writer.c:391,9'
          Dst:             snprintf
    - functionName:    readstat_label_tagged_value
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 363
      functionLinenumberEnd: 366
      functionDepth:   0
      returnType:      void
      argCount:        3
      argTypes:
        - 'N/A'
        - char
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         3
      ICount:          26
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - readstat_add_value_label
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_writer.c:364,47'
          Dst:             readstat_add_value_label
    - functionName:    readstat_add_value_label
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 86
      functionLinenumberEnd: 95
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         6
      ICount:          65
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached:
        - readstat_copy_label
        - realloc
      functionUses:    4
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_writer.c:89,35'
          Dst:             realloc
        - Src:             'src/readstat_writer.c:94,5'
          Dst:             readstat_copy_label
    - functionName:    readstat_label_string_value
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 354
      functionLinenumberEnd: 361
      functionDepth:   0
      returnType:      void
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         8
      ICount:          62
      EdgeCount:       10
      CyclomaticComplexity: 4
      functionsReached:
        - readstat_add_value_label
        - strlen
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_writer.c:355,47'
          Dst:             readstat_add_value_label
        - Src:             'src/readstat_writer.c:356,18'
          Dst:             strlen
        - Src:             'src/readstat_writer.c:357,43'
          Dst:             strlen
    - functionName:    readstat_label_int32_value
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 348
      functionLinenumberEnd: 352
      functionDepth:   0
      returnType:      void
      argCount:        3
      argTypes:
        - 'N/A'
        - int
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         3
      ICount:          31
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - readstat_add_value_label
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_writer.c:349,47'
          Dst:             readstat_add_value_label
    - functionName:    readstat_label_double_value
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 342
      functionLinenumberEnd: 346
      functionDepth:   0
      returnType:      void
      argCount:        3
      argTypes:
        - 'N/A'
        - double
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         3
      ICount:          31
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - readstat_add_value_label
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_writer.c:343,47'
          Dst:             readstat_add_value_label
    - functionName:    readstat_get_label_set_variable
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 335
      functionLinenumberEnd: 340
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         4
      ICount:          35
      EdgeCount:       4
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_get_value_label
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 328
      functionLinenumberEnd: 333
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         4
      ICount:          34
      EdgeCount:       4
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_sort_label_set
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 323
      functionLinenumberEnd: 326
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         3
      ICount:          23
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - qsort
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_writer.c:324,5'
          Dst:             qsort
    - functionName:    readstat_get_label_set
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 315
      functionLinenumberEnd: 320
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         4
      ICount:          35
      EdgeCount:       4
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_add_label_set
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 293
      functionLinenumberEnd: 312
      functionDepth:   0
      returnType:      'N/A'
      argCount:        3
      argTypes:
        - 'N/A'
        - int
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         6
      ICount:          88
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached:
        - calloc
        - realloc
        - snprintf
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_writer.c:296,30'
          Dst:             realloc
        - Src:             'src/readstat_writer.c:299,43'
          Dst:             calloc
        - Src:             'src/readstat_writer.c:304,5'
          Dst:             snprintf
        - Src:             'src/readstat_writer.c:306,35'
          Dst:             calloc
        - Src:             'src/readstat_writer.c:309,32'
          Dst:             calloc
    - functionName:    readstat_write_space_padded_string
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 278
      functionLinenumberEnd: 291
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         14
      ICount:          87
      EdgeCount:       18
      CyclomaticComplexity: 6
      functionsReached:
        - readstat_write_bytes
        - readstat_write_spaces
        - strlen
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_writer.c:281,16'
          Dst:             readstat_write_spaces
        - Src:             'src/readstat_writer.c:283,18'
          Dst:             strlen
        - Src:             'src/readstat_writer.c:287,19'
          Dst:             readstat_write_bytes
        - Src:             'src/readstat_writer.c:290,12'
          Dst:             readstat_write_spaces
    - functionName:    readstat_write_spaces
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 274
      functionLinenumberEnd: 275
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         3
      ICount:          18
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - readstat_write_repeated_byte
      functionUses:    2
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_writer.c:275,12'
          Dst:             readstat_write_repeated_byte
    - functionName:    readstat_write_bytes
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 193
      functionLinenumberEnd: 200
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         6
      ICount:          53
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached: []
      functionUses:    9
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_write_repeated_byte
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 257
      functionLinenumberEnd: 268
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - char
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         6
      ICount:          52
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached:
        - readstat_write_bytes
      functionUses:    2
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_writer.c:264,30'
          Dst:             readstat_write_bytes
    - functionName:    readstat_write_zeros
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 270
      functionLinenumberEnd: 271
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         3
      ICount:          18
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - readstat_write_repeated_byte
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_writer.c:271,12'
          Dst:             readstat_write_repeated_byte
    - functionName:    readstat_write_string
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 253
      functionLinenumberEnd: 254
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         3
      ICount:          20
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - readstat_write_bytes
        - strlen
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_writer.c:254,48'
          Dst:             strlen
        - Src:             'src/readstat_writer.c:254,12'
          Dst:             readstat_write_bytes
    - functionName:    readstat_write_line_padding
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 230
      functionLinenumberEnd: 251
      functionDepth:   0
      returnType:      int
      argCount:        4
      argTypes:
        - 'N/A'
        - char
        - size_t
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         14
      ICount:          106
      EdgeCount:       18
      CyclomaticComplexity: 6
      functionsReached:
        - readstat_write_bytes
        - strlen
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_writer.c:231,27'
          Dst:             strlen
        - Src:             'src/readstat_writer.c:240,18'
          Dst:             readstat_write_bytes
        - Src:             'src/readstat_writer.c:243,18'
          Dst:             readstat_write_bytes
    - functionName:    readstat_write_bytes_as_lines
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 203
      functionLinenumberEnd: 226
      functionDepth:   0
      returnType:      int
      argCount:        5
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
        - size_t
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         17
      ICount:          128
      EdgeCount:       22
      CyclomaticComplexity: 7
      functionsReached:
        - readstat_write_bytes
        - strlen
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_writer.c:204,27'
          Dst:             strlen
        - Src:             'src/readstat_writer.c:210,22'
          Dst:             readstat_write_bytes
        - Src:             'src/readstat_writer.c:214,22'
          Dst:             readstat_write_bytes
        - Src:             'src/readstat_writer.c:222,27'
          Dst:             readstat_write_bytes
    - functionName:    readstat_set_data_writer
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 188
      functionLinenumberEnd: 190
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         1
      ICount:          12
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_label_set_free
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 64
      functionLinenumberEnd: 76
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         13
      ICount:          84
      EdgeCount:       16
      CyclomaticComplexity: 5
      functionsReached:
        - readstat_get_value_label
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_writer.c:67,47'
          Dst:             readstat_get_value_label
    - functionName:    readstat_variable_free
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 60
      functionLinenumberEnd: 62
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         3
      ICount:          15
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_writer_free
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 151
      functionLinenumberEnd: 186
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         42
      ICount:          246
      EdgeCount:       54
      CyclomaticComplexity: 14
      functionsReached:
        - readstat_label_set_free
        - readstat_variable_free
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_writer.c:159,17'
          Dst:             readstat_variable_free
        - Src:             'src/readstat_writer.c:165,17'
          Dst:             readstat_label_set_free
    - functionName:    readstat_write_row_default_callback
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 14
      functionLinenumberEnd: 15
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         3
      ICount:          21
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - readstat_write_bytes
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_writer.c:15,12'
          Dst:             readstat_write_bytes
    - functionName:    readstat_writer_init
      functionSourceFile: '/src/readstat/src/readstat_writer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 38
      functionLinenumberEnd: 57
      functionDepth:   0
      returnType:      'N/A'
      argCount:        0
      argTypes:        []
      constantsTouched: []
      argNames:        []
      BBCount:         3
      ICount:          54
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - calloc
        - time
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_writer.c:39,33'
          Dst:             calloc
        - Src:             'src/readstat_writer.c:41,25'
          Dst:             calloc
        - Src:             'src/readstat_writer.c:44,26'
          Dst:             calloc
        - Src:             'src/readstat_writer.c:47,21'
          Dst:             calloc
        - Src:             'src/readstat_writer.c:50,27'
          Dst:             calloc
        - Src:             'src/readstat_writer.c:53,25'
          Dst:             time
    - functionName:    time
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      size_t
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_variable_add_missing_string_value
      functionSourceFile: '/src/readstat/src/readstat_variable.c'
      linkageType:     InternalLinkage
      functionLinenumber: 121
      functionLinenumberEnd: 122
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         3
      ICount:          43
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - make_string_value
        - readstat_variable_add_missing_value_range
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_variable.c:122,64'
          Dst:             make_string_value
        - Src:             'src/readstat_variable.c:122,90'
          Dst:             make_string_value
        - Src:             'src/readstat_variable.c:122,12'
          Dst:             readstat_variable_add_missing_value_range
    - functionName:    make_string_value
      functionSourceFile: '/src/readstat/src/readstat_variable.c'
      linkageType:     InternalLinkage
      functionLinenumber: 18
      functionLinenumberEnd: 20
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         1
      ICount:          29
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    4
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_variable_add_missing_value_range
      functionSourceFile: '/src/readstat/src/readstat_variable.c'
      linkageType:     InternalLinkage
      functionLinenumber: 98
      functionLinenumberEnd: 107
      functionDepth:   0
      returnType:      int
      argCount:        5
      argTypes:
        - 'N/A'
        - size_t
        - size_t
        - size_t
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         6
      ICount:          68
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached:
        - readstat_variable_get_missing_ranges_count
      functionUses:    4
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_variable.c:99,13'
          Dst:             readstat_variable_get_missing_ranges_count
    - functionName:    readstat_variable_get_missing_ranges_count
      functionSourceFile: '/src/readstat/src/readstat_variable.c'
      linkageType:     InternalLinkage
      functionLinenumber: 76
      functionLinenumberEnd: 77
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         1
      ICount:          11
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    3
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_variable_add_missing_string_range
      functionSourceFile: '/src/readstat/src/readstat_variable.c'
      linkageType:     InternalLinkage
      functionLinenumber: 117
      functionLinenumberEnd: 118
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         3
      ICount:          45
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - make_string_value
        - readstat_variable_add_missing_value_range
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_variable.c:118,64'
          Dst:             make_string_value
        - Src:             'src/readstat_variable.c:118,87'
          Dst:             make_string_value
        - Src:             'src/readstat_variable.c:118,12'
          Dst:             readstat_variable_add_missing_value_range
    - functionName:    readstat_variable_add_missing_double_value
      functionSourceFile: '/src/readstat/src/readstat_variable.c'
      linkageType:     InternalLinkage
      functionLinenumber: 113
      functionLinenumberEnd: 114
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - double
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         3
      ICount:          43
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - make_double_value
        - readstat_variable_add_missing_value_range
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_variable.c:114,64'
          Dst:             make_double_value
        - Src:             'src/readstat_variable.c:114,90'
          Dst:             make_double_value
        - Src:             'src/readstat_variable.c:114,12'
          Dst:             readstat_variable_add_missing_value_range
    - functionName:    make_double_value
      functionSourceFile: '/src/readstat/src/readstat_variable.c'
      linkageType:     InternalLinkage
      functionLinenumber: 13
      functionLinenumberEnd: 15
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - double
      constantsTouched: []
      argNames:
        - ''
      BBCount:         1
      ICount:          29
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    4
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_variable_add_missing_double_range
      functionSourceFile: '/src/readstat/src/readstat_variable.c'
      linkageType:     InternalLinkage
      functionLinenumber: 109
      functionLinenumberEnd: 110
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - double
        - double
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         3
      ICount:          45
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - make_double_value
        - readstat_variable_add_missing_value_range
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_variable.c:110,64'
          Dst:             make_double_value
        - Src:             'src/readstat_variable.c:110,87'
          Dst:             make_double_value
        - Src:             'src/readstat_variable.c:110,12'
          Dst:             readstat_variable_add_missing_value_range
    - functionName:    readstat_variable_get_missing_range_hi
      functionSourceFile: '/src/readstat/src/readstat_variable.c'
      linkageType:     InternalLinkage
      functionLinenumber: 89
      functionLinenumberEnd: 96
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         9
      ICount:          62
      EdgeCount:       11
      CyclomaticComplexity: 4
      functionsReached:
        - make_blank_value
      functionUses:    2
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_variable.c:95,12'
          Dst:             make_blank_value
    - functionName:    make_blank_value
      functionSourceFile: '/src/readstat/src/readstat_variable.c'
      linkageType:     InternalLinkage
      functionLinenumber: 8
      functionLinenumberEnd: 10
      functionDepth:   0
      returnType:      'N/A'
      argCount:        0
      argTypes:        []
      constantsTouched: []
      argNames:        []
      BBCount:         1
      ICount:          7
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_variable_get_missing_range_lo
      functionSourceFile: '/src/readstat/src/readstat_variable.c'
      linkageType:     InternalLinkage
      functionLinenumber: 80
      functionLinenumberEnd: 87
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         9
      ICount:          61
      EdgeCount:       11
      CyclomaticComplexity: 4
      functionsReached:
        - make_blank_value
      functionUses:    2
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_variable.c:86,12'
          Dst:             make_blank_value
    - functionName:    readstat_variable_get_display_width
      functionSourceFile: '/src/readstat/src/readstat_variable.c'
      linkageType:     InternalLinkage
      functionLinenumber: 72
      functionLinenumberEnd: 73
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         1
      ICount:          9
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_variable_get_alignment
      functionSourceFile: '/src/readstat/src/readstat_variable.c'
      linkageType:     InternalLinkage
      functionLinenumber: 68
      functionLinenumberEnd: 69
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         1
      ICount:          9
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_variable_get_measure
      functionSourceFile: '/src/readstat/src/readstat_variable.c'
      linkageType:     InternalLinkage
      functionLinenumber: 64
      functionLinenumberEnd: 65
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         1
      ICount:          9
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_variable_get_storage_width
      functionSourceFile: '/src/readstat/src/readstat_variable.c'
      linkageType:     InternalLinkage
      functionLinenumber: 60
      functionLinenumberEnd: 61
      functionDepth:   0
      returnType:      size_t
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         1
      ICount:          9
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_variable_get_index_after_skipping
      functionSourceFile: '/src/readstat/src/readstat_variable.c'
      linkageType:     InternalLinkage
      functionLinenumber: 56
      functionLinenumberEnd: 57
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         1
      ICount:          9
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_variable_get_index
      functionSourceFile: '/src/readstat/src/readstat_variable.c'
      linkageType:     InternalLinkage
      functionLinenumber: 52
      functionLinenumberEnd: 53
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         1
      ICount:          9
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_variable_get_type_class
      functionSourceFile: '/src/readstat/src/readstat_variable.c'
      linkageType:     InternalLinkage
      functionLinenumber: 48
      functionLinenumberEnd: 49
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         3
      ICount:          17
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - readstat_type_class
      functionUses:    3
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_variable.c:49,12'
          Dst:             readstat_type_class
    - functionName:    readstat_variable_get_type
      functionSourceFile: '/src/readstat/src/readstat_variable.c'
      linkageType:     InternalLinkage
      functionLinenumber: 44
      functionLinenumberEnd: 45
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         1
      ICount:          9
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_variable_get_format
      functionSourceFile: '/src/readstat/src/readstat_variable.c'
      linkageType:     InternalLinkage
      functionLinenumber: 37
      functionLinenumberEnd: 42
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         4
      ICount:          28
      EdgeCount:       4
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_variable_get_label
      functionSourceFile: '/src/readstat/src/readstat_variable.c'
      linkageType:     InternalLinkage
      functionLinenumber: 30
      functionLinenumberEnd: 35
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         4
      ICount:          28
      EdgeCount:       4
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_variable_get_name
      functionSourceFile: '/src/readstat/src/readstat_variable.c'
      linkageType:     InternalLinkage
      functionLinenumber: 23
      functionLinenumberEnd: 28
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         4
      ICount:          28
      EdgeCount:       4
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_float_value
      functionSourceFile: '/src/readstat/src/readstat_value.c'
      linkageType:     InternalLinkage
      functionLinenumber: 137
      functionLinenumberEnd: 153
      functionDepth:   0
      returnType:      float
      argCount:        2
      argTypes:
        - size_t
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         16
      ICount:          102
      EdgeCount:       22
      CyclomaticComplexity: 8
      functionsReached:
        - readstat_value_is_system_missing
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_value.c:138,9'
          Dst:             readstat_value_is_system_missing
    - functionName:    readstat_value_is_system_missing
      functionSourceFile: '/src/readstat/src/readstat_value.c'
      linkageType:     InternalLinkage
      functionLinenumber: 33
      functionLinenumberEnd: 34
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - size_t
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         1
      ICount:          13
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    5
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_int32_value
      functionSourceFile: '/src/readstat/src/readstat_value.c'
      linkageType:     InternalLinkage
      functionLinenumber: 119
      functionLinenumberEnd: 135
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - size_t
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         16
      ICount:          100
      EdgeCount:       22
      CyclomaticComplexity: 8
      functionsReached:
        - readstat_value_is_system_missing
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_value.c:120,9'
          Dst:             readstat_value_is_system_missing
    - functionName:    readstat_int16_value
      functionSourceFile: '/src/readstat/src/readstat_value.c'
      linkageType:     InternalLinkage
      functionLinenumber: 101
      functionLinenumberEnd: 117
      functionDepth:   0
      returnType:      short
      argCount:        2
      argTypes:
        - size_t
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         16
      ICount:          100
      EdgeCount:       22
      CyclomaticComplexity: 8
      functionsReached:
        - readstat_value_is_system_missing
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_value.c:102,9'
          Dst:             readstat_value_is_system_missing
    - functionName:    readstat_int8_value
      functionSourceFile: '/src/readstat/src/readstat_value.c'
      linkageType:     InternalLinkage
      functionLinenumber: 83
      functionLinenumberEnd: 99
      functionDepth:   0
      returnType:      char
      argCount:        2
      argTypes:
        - size_t
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         16
      ICount:          100
      EdgeCount:       22
      CyclomaticComplexity: 8
      functionsReached:
        - readstat_value_is_system_missing
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_value.c:84,9'
          Dst:             readstat_value_is_system_missing
    - functionName:    readstat_double_value
      functionSourceFile: '/src/readstat/src/readstat_value.c'
      linkageType:     InternalLinkage
      functionLinenumber: 155
      functionLinenumberEnd: 171
      functionDepth:   0
      returnType:      double
      argCount:        2
      argTypes:
        - size_t
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         16
      ICount:          100
      EdgeCount:       22
      CyclomaticComplexity: 8
      functionsReached:
        - readstat_value_is_system_missing
      functionUses:    3
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_value.c:156,9'
          Dst:             readstat_value_is_system_missing
    - functionName:    readstat_double_is_defined_missing
      functionSourceFile: '/src/readstat/src/readstat_value.c'
      linkageType:     InternalLinkage
      functionLinenumber: 41
      functionLinenumberEnd: 52
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - double
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         13
      ICount:          97
      EdgeCount:       16
      CyclomaticComplexity: 5
      functionsReached:
        - readstat_double_value
        - readstat_variable_get_missing_range_hi
        - readstat_variable_get_missing_range_lo
        - readstat_variable_get_missing_ranges_count
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_value.c:42,17'
          Dst:             readstat_variable_get_missing_ranges_count
        - Src:             'src/readstat_value.c:45,43'
          Dst:             readstat_variable_get_missing_range_lo
        - Src:             'src/readstat_value.c:45,21'
          Dst:             readstat_double_value
        - Src:             'src/readstat_value.c:46,43'
          Dst:             readstat_variable_get_missing_range_hi
        - Src:             'src/readstat_value.c:46,21'
          Dst:             readstat_double_value
    - functionName:    readstat_string_value
      functionSourceFile: '/src/readstat/src/readstat_value.c'
      linkageType:     InternalLinkage
      functionLinenumber: 173
      functionLinenumberEnd: 178
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - size_t
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         6
      ICount:          38
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached:
        - readstat_value_type
      functionUses:    3
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_value.c:174,9'
          Dst:             readstat_value_type
    - functionName:    readstat_value_type
      functionSourceFile: '/src/readstat/src/readstat_value.c'
      linkageType:     InternalLinkage
      functionLinenumber: 11
      functionLinenumberEnd: 12
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - size_t
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         1
      ICount:          11
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_string_is_defined_missing
      functionSourceFile: '/src/readstat/src/readstat_value.c'
      linkageType:     InternalLinkage
      functionLinenumber: 54
      functionLinenumberEnd: 68
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         19
      ICount:          123
      EdgeCount:       25
      CyclomaticComplexity: 8
      functionsReached:
        - readstat_string_value
        - readstat_variable_get_missing_range_hi
        - readstat_variable_get_missing_range_lo
        - readstat_variable_get_missing_ranges_count
        - strcmp
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_value.c:58,17'
          Dst:             readstat_variable_get_missing_ranges_count
        - Src:             'src/readstat_value.c:61,48'
          Dst:             readstat_variable_get_missing_range_lo
        - Src:             'src/readstat_value.c:61,26'
          Dst:             readstat_string_value
        - Src:             'src/readstat_value.c:62,48'
          Dst:             readstat_variable_get_missing_range_hi
        - Src:             'src/readstat_value.c:62,26'
          Dst:             readstat_string_value
        - Src:             'src/readstat_value.c:63,25'
          Dst:             strcmp
        - Src:             'src/readstat_value.c:63,52'
          Dst:             strcmp
    - functionName:    strcmp
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_value_is_tagged_missing
      functionSourceFile: '/src/readstat/src/readstat_value.c'
      linkageType:     InternalLinkage
      functionLinenumber: 37
      functionLinenumberEnd: 38
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - size_t
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         1
      ICount:          14
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_value_is_defined_missing
      functionSourceFile: '/src/readstat/src/readstat_value.c'
      linkageType:     InternalLinkage
      functionLinenumber: 70
      functionLinenumberEnd: 81
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - size_t
        - size_t
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         10
      ICount:          80
      EdgeCount:       13
      CyclomaticComplexity: 5
      functionsReached:
        - readstat_double_is_defined_missing
        - readstat_double_value
        - readstat_string_is_defined_missing
        - readstat_string_value
        - readstat_value_type_class
        - readstat_variable_get_type_class
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_value.c:71,9'
          Dst:             readstat_value_type_class
        - Src:             'src/readstat_value.c:71,45'
          Dst:             readstat_variable_get_type_class
        - Src:             'src/readstat_value.c:74,9'
          Dst:             readstat_value_type_class
        - Src:             'src/readstat_value.c:75,51'
          Dst:             readstat_string_value
        - Src:             'src/readstat_value.c:75,16'
          Dst:             readstat_string_is_defined_missing
        - Src:             'src/readstat_value.c:77,9'
          Dst:             readstat_value_type_class
        - Src:             'src/readstat_value.c:78,51'
          Dst:             readstat_double_value
        - Src:             'src/readstat_value.c:78,16'
          Dst:             readstat_double_is_defined_missing
    - functionName:    readstat_value_type_class
      functionSourceFile: '/src/readstat/src/readstat_value.c'
      linkageType:     InternalLinkage
      functionLinenumber: 15
      functionLinenumberEnd: 16
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - size_t
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         3
      ICount:          19
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - readstat_type_class
      functionUses:    3
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_value.c:16,12'
          Dst:             readstat_type_class
    - functionName:    readstat_type_class
      functionSourceFile: '/src/readstat/src/readstat_value.c'
      linkageType:     InternalLinkage
      functionLinenumber: 4
      functionLinenumberEnd: 9
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - int
      constantsTouched: []
      argNames:
        - ''
      BBCount:         7
      ICount:          31
      EdgeCount:       8
      CyclomaticComplexity: 3
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    readstat_value_is_missing
      functionSourceFile: '/src/readstat/src/readstat_value.c'
      linkageType:     InternalLinkage
      functionLinenumber: 23
      functionLinenumberEnd: 31
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - size_t
        - size_t
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         11
      ICount:          64
      EdgeCount:       14
      CyclomaticComplexity: 5
      functionsReached:
        - readstat_value_is_defined_missing
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/readstat_value.c:28,16'
          Dst:             readstat_value_is_defined_missing
    - functionName:    readstat_value_tag
      functionSourceFile: '/src/readstat/src/readstat_value.c'
      linkageType:     InternalLinkage
      functionLinenumber: 19
      functionLinenumberEnd: 20
      functionDepth:   0
      returnType:      char
      argCount:        2
      argTypes:
        - size_t
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         1
      ICount:          11
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
...
